<div class="test-execution-history">
    <div class="swiper-container">
        <div class="swiper-wrapper">
            <div class="swiper-slide"
                ng-click="$ctrl.onSlideClick(historyItem)"
                ng-attr-id="{{historyItem.testId}}"
                ng-class="[$ctrl.activeTestId === historyItem.testId ? '_active' : '', historyItem.status.toLowerCase()]"
                ng-repeat="historyItem in $ctrl.executionHistory track by historyItem.testId">
                <md-icon md-svg-icon="lamba-bg"
                    ng-if="$ctrl.activeTestId === historyItem.testId"
                    class="swiper-slide__icon _bg material-icons"></md-icon>
                <md-icon md-svg-icon="lamba" class="swiper-slide__icon material-icons"></md-icon>
                <time class="swiper-slide__top-section"
                    am-time-ago="historyItem.startTime"
                    title="{{ historyItem.startTime | amDateFormat: 'dddd, MMMM Do YYYY, h:mm a' }}"></time>
                <div class="swiper-slide__bottom-section">
                    <test-ticket class="swiper-slide__ticket" issue-reference="historyItem.issueReferences[0]"></test-ticket>
                    <div class="swiper-slide__time-diff" ng-if="historyItem.timeDiff">
                        <md-icon class="swiper-slide__time-diff-icon material-icons">timer</md-icon>
                        <span class="swiper-slide__time-diff-text">{{ historyItem.timeDiff }}</span>
                    </div>
                </div>
            </div>
        </div>
        <div class="swiper-nav-btn _prev">
            <md-icon class="material-icons">chevron_left</md-icon>
        </div>
        <div class="swiper-nav-btn _next">
            <md-icon class="material-icons">chevron_right</md-icon>
        </div>
    </div>
</div>
